﻿.products-box{
    width: 100%;
    display: block;
    position: relative;
    margin-top: 111px;
    min-height: calc(100vh - 111px);
    overflow: hidden;
}
.products-all-box{
    width: 1600px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    font-size: 0;
    position: relative;
    box-sizing: border-box;
    padding: 115px 0;
}
.products-title-box{
    width: 300px;
    display: inline-block;
    vertical-align: top;
}
.products-title{
    width: 100%;
    display: block;
}
.products-title-box h2>p{
    font-family: 'roboto';
    font-weight: 700;
    font-size: 46px;
    color: #000;
    letter-spacing: 0.2em;
    line-height: 32px;
}
.products-title-box h2>span{
    font-family: 'Noto Sans TC';
    font-size: 18px;
    color: #000;
    letter-spacing: 0.06em;
    line-height: 24px;
    margin-top: 30px;
    display: block;
}
.rwd-products-class-box{
    display: none;
}
.products-class-list-box{
    margin-top: 70px;
}
.products-class-list{
    box-sizing: border-box;
    border-left: 3px solid #366694;
    padding-left: 25px;
    margin-bottom: 20px;
    position: relative;
    transition: all .3s linear;
    background-color: transparent;
}
.products-class-title{
    width: 100%;
    display: block;
    position: relative;
}
.products-class-title::before{
    content: '\f0da';
    font-family: 'font awesome 5 free';
    font-weight: bold;
    display: block;
    font-size: 18px;
    line-height: 1;
    position: absolute;
    top: 0;
    right: 10px;
    transform: rotateZ(0deg);
    transition: all .3s linear;
    line-height: 22px;
}
.products-class-list-isAll .products-class-title::before{
    display: none;
}
.products-class-title a{
    font-size: 18px;
    line-height: 18px;
    color: #000;
    letter-spacing: 0.06em;
    font-family: myFontFamily;
    font-weight: 700;
    position: relative;
    transition: all .3s linear;
    cursor: pointer;
}
.products-class-title a::after{
    content: '';
    width: 0%;
    height: 2px;
    background-color: #000;
    position: absolute;
    bottom: 0;
    left: 0;
    opacity: 0;
    transition: all .3s ease;
}

@font-face{
    font-family: myFontFamily;
    src: local("Noto Sans TC") ,local("微軟正黑體");
    unicode-range: U+4E00-9FFF;
}
@font-face{
    font-family: myFontFamily;
    src: local('Roboto');
    unicode-range: U+00-024F;
}

.products-class-second-box{
    box-sizing: border-box;
    padding-bottom: 15px;
    display: none;
}
.products-class{
    font-size: 16px;
    color: #666;
    letter-spacing: 0.06em;
    line-height: 40px;
    font-family: myFontFamily;
    transition: all .3s linear;
}
.products-class-list.active{
    background-color: #f5f5f5;
}
.products-class-list.active .products-class-title a,
.products-class-list.active .products-class-title::before{
    line-height: 60px;
}
.products-class-list.active .products-class-title:before{
    transform: rotateZ(90deg);
}

.products-class-second.active .products-class{
    color: #366694;
    font-weight: bold;
}

.products-class:hover{
    color: #366694;
}


.products-info-box{
    width: calc(100% - 300px);
    display: inline-block;
    vertical-align: top;
    box-sizing: border-box;
    padding-left: 55px;
}
.products-info{
    width: 360px;
    display: inline-block;
    vertical-align: top;
    margin-right: calc((100% - (360px * 3)) / 2);
}
.products-info:nth-child(3n){
    margin-right: 0;
}
.products-info:nth-child(n + 4){
    margin-top: 60px;
}
.products-info-img{
    width: 100%;
    height: 460px;
    display: block;
    overflow: hidden;
}
.products-info-text{
    margin-top: 25px;
    display: block;
    font-size: 16px;
    color: #666;
    letter-spacing: 0.2em;
    line-height: 24px;
    font-family: "Noto Sans TC";
    font-weight: 300;
    position: relative;
    text-align: center;
    transition: all .3s linear;
}




/* products-page */
.products-page-right-box{
    width: calc(100% - 300px);
    display: inline-block;
    vertical-align: top;
    box-sizing: border-box;
    padding: 0 50px;
}
.products-page-info-img-box{
    width: 50%;
    display: inline-block;
    vertical-align: top;
}
.products-page-info-img{
    display: block;
    height: calc((520 / 600) * (1200px / 2));
}
.products-page-info{
    width: 50%;
    display: inline-block;
    vertical-align: top;
    box-sizing: border-box;
    padding: 40px 50px;
}
.products-page-info-name{
    font-size: 24px;
    color: #000;
    letter-spacing: 0.2em;
    line-height: 1.4;
    font-family: "Noto Sans TC";
    margin-bottom: 20px;
}
.products-page-text{
    font-size: 16px;
    color: #000;
    letter-spacing: 0.2em;
    line-height: 36px;
    font-family: "Noto Sans TC";
}
.products-page-text p{
    display: inline-block;
    vertical-align: middle;
    font-weight: 300;
}
.products-page-text span{
    display: inline-block;
    vertical-align: middle;
    font-weight: 300;
    color: #666;
}
.products-page-edit-box{
    margin-top: 60px;
}
.products-page-edit-box{
    font-size: 18px;
    color: #666;
    letter-spacing: 0.2em;
    line-height: 24px;
    font-family: "Noto Sans TC";
    font-weight: 300;
}

.products-class-second-box.active{
    display: block;
}



@media only screen and (max-width: 1600px){
    .products-all-box{
        width: 1400px;
    }
    .products-info {
        width: 300px;
        margin-right: calc((100% - (300px * 3)) / 2);
    }
    .products-info-img{
        height: calc((460 / 360) * 300px);
    }


    .products-page-info-img {
        height: calc((520 / 600) * (1000px / 2));
    }
}
@media only screen and (max-width: 1400px){
    .products-all-box{
        width: 1200px;
    }
    .products-info {
        width: 260px;
        margin-right: calc((100% - (260px * 3)) / 2);
    }
    .products-info-img{
        height: calc((460 / 360) * 260px);
    }


    .products-page-info-img {
        height: calc((520 / 600) * (800px / 2));
    }
}
@media only screen and (max-width: 1200px){
    .products-all-box{
        width: 1000px;
    }
    .products-title-box {
        width: 240px;
    }
    .products-title-box h2>p{
        font-size: 36px;
    }
    .products-title-box h2>span{
        margin-top: 20px;
    }
    .products-class-list-box{
        margin-top: 40px;
    }
    .products-info-box{
        width: calc(100% - 240px);
        padding-left: 25px;
    }
    .products-info {
        width: 220px;
        margin-right: calc((100% - (220px * 3)) / 2);
    }
    .products-info-img{
        height: calc((460 / 360) * 220px);
    }


    .products-page-info-img {
        height: calc((520 / 600) * (600px / 2));
    }
    .products-page-info{
        padding: 20px 30px;
    }
    .products-page-info-name{
        margin-bottom: 10px;
    }
}
@media only screen and (max-width: 1000px){
    .products-box{
        margin-top: 79px;
        min-height: calc(100vh - 79px);
    }
    .products-all-box{
        width: 750px;
        padding: 60px 0;
    }
    .products-title-box{
        width: 100%;
    }
    .products-class-box{
        margin-top: 40px;
    }
    .products-info-box{
        width: 100%;
        padding-left: 0;
        margin-top: 40px;
    }

    .rwd-products-class{
        width: 100%;
        height: 46px;
        border: 1px solid #888;
        font-size: 16px;
        letter-spacing: 0.06em;
        text-align: center;
        display: block;
        line-height: 46px;
        position: relative;
        box-sizing: border-box;
        font-family: myFontFamily;
        font-weight: 700;
        
    }
    .rwd-products-class:after{
        content: '';
        width: 0px;
        height: 0px;
        margin: 0 auto;
        border-right: 6px solid transparent;
        border-top: 10px solid #000;
        border-left: 6px solid transparent;
        display: block;
        position: absolute;
        bottom: calc(50% - 5px);
        right: 5%;
        box-sizing: border-box;
    }
    .products-class-list-box{
        width: 100%;
        margin-top: 0;
        position: absolute;
        box-sizing: border-box;
        border: 1px solid #888;
        box-shadow: 0 8px 10px rgba(0, 0, 0, 0.35);
        border-top: none;
        background-color: #fff;
        display: none;
        z-index: 3;
    }
    .products-class-list{
        border-left: none;
        margin-bottom: 0;
        padding: 0 20px;
        border-top: 2px solid #366694;
    }
    .products-class-list:first-child{
        border-top: none;
    }
    .products-class-title a{
        line-height: 46px;
        width: 100%;
        display: block;
    }
    .products-class-title::before{
        line-height: 46px;
    }
    .products-class-list .products-class-title a:hover::after{
        width: 100%;
    }
    .products-class-list.active .products-class-title a::after{
        width: 100%;
    }
    .products-class-list-isAll .products-class-title a::after{
        display: none;
    }
    .products-class-second-box.active{
        display: block;
    }

    
    .products-page-right-box{
        width: 100%;
        display: block;
        padding: 0;
        margin-top: 40px;
    }
    .products-page-info-img {
        height: calc((520 / 600) * (750px / 2));
    }
}
@media only screen and (max-width: 768px){
    .products-all-box{
        width: 550px;
        padding: 40px 0;
    }
    .products-title-box h2>p{
        font-size: 26px;
        line-height: 22px;
    }
    .products-title-box h2>span{
        font-size: 16px;
        line-height: 20px;
        margin-top: 10px;
    }
    .products-info-box{
        width: 100%;
        padding-left: 0;
    }
    .products-info:nth-child(n){
        width: 265px;
        margin-right: calc((100% - (265px * 2)));
        margin-top: 0;
    }
    .products-info:nth-child(2n){
        margin-right: 0;
    }
    .products-info:nth-child(n + 3){
        margin-top: 40px;
    }



    
    .products-page-info-img-box{
        width: 100%;
        display: block;
    }
    .products-page-info-img{
        height: calc((520 / 600) * 550px);
    }
    .products-page-info{
        width: 100%;
        display: block;
        padding: 20px 0;
    }
}
@media only screen and (max-width: 550px){
    .products-box{
        margin-top: 67px;
        min-height: calc(100vh - 67px);
    }
    .products-all-box{
        width: 400px;
        padding: 20px 0;
    }
    .products-class-box{
        margin-top: 20px;
    }
    .products-title-box h2>p{
        font-size: 18px;
    }
    .products-title-box h2>span{
        font-size: 14px;
        margin-top: 0px;
    }
    .products-info:nth-child(n){
        width: 195px;
        margin-right: calc((100% - (195px * 2)));
        margin-top: 0;
    }
    .products-info:nth-child(2n){
        margin-right: 0;
    }
    .products-info:nth-child(n + 3){
        margin-top: 20px;
    }
    .products-info-img{
        height: calc((460 / 360) * 195px);
    }
    .products-info-text{
        margin-top: 5px;
        font-size: 14px;
        line-height: 20px;
    }
    .products-class-list{
        padding: 0 10px;
    }
    .rwd-products-class{
        line-height: 36px;
        height: 36px;
    }
    .products-class-title a{
        font-size: 16px;
        line-height: 36px;
    }
    .products-class-title::before{
        line-height: 36px;
    }
    .products-class-list.active .products-class-title a, 
    .products-class-list.active .products-class-title::before {
        line-height: 50px;
    }
    .products-class{
        font-size: 14px;
        line-height: 32px;
    }
    



    .products-page-right-box{
        margin-top: 20px;
    }
    .products-page-info-img{
        height: calc((520 / 600) * 400px);
    }
    .products-page-info{
        padding: 10px 0;
    }
    .products-page-info-name{
        font-size: 16px;
    }
    .products-page-text{
        font-size: 14px;
        line-height: 22px;
    }
    .products-page-edit-box{
        margin-top: 20px;
        font-size: 14px;
        line-height: 22px;
    }
}
@media only screen and (max-width: 400px){
    .products-all-box{
        width: 300px;
    }
    .products-info:nth-child(n){
        width: 145px;
        margin-right: calc((100% - (145px * 2)));
        margin-top: 0;
    }
    .products-info:nth-child(2n){
        margin-right: 0;
    }
    .products-info:nth-child(n + 3){
        margin-top: 20px;
    }
    .products-info-img{
        height: calc((460 / 360) * 145px);
    }
    .products-info-text{
        letter-spacing: 0.06em;
    }

    
    .products-page-info-img{
        height: calc((520 / 600) * 300px);
    }
}




/*animation*/
/*<-------------動畫------------->*/
@media only screen and (min-width: 1001px){
	.products-info,
    .products-page-edit-box{
        opacity: 0;
    }
    .products-title-box h2>p{
        animation: fadeInUp 1s ease 0s 1 both;
    }
    .products-title-box h2>span{
        animation: fade 1s ease .2s 1 both;
    }
    .products-info.anima{
        animation: fadeInUp 1s ease 0s 1 both;
    }
    .products-class-list-box{
        animation: fadeInLeft 1s ease 0s 1 both;
    }
    .products-info:hover .main-bg{
        transform: scale(1.1);
    }
    .products-info:hover .products-info-text{
        color: #366694;
    }

    .products-page-info-img{
        animation: fade 1s ease 0s 1 both;
    }
    .products-page-info{
        animation: fadeInRight 1s ease 0s 1 both;
    }
    .products-page-edit-box.anima{
        animation: fade 1s ease 0s 1 both;
    }
    .products-class-title a:hover::after{
        width: 100%;
        opacity: 1;
        transition: width .3s ease;
    }
}

